Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

Currently, there is one log file, production.log.  This file grows continuously over time.

It would be nice to have a log manager that includes the following:

Automatically cycle log files on set time interval

Daily

Monthly

quarterly

never

Automatically cycle log files at specified file size (ex 10MB or never)

Delete log files older than so many days, weeks, months (or never)

Optionally, it might be nice to separate the log into groups, such as error, debug, and running.

History

#1 - 2012-04-24 22:42 - Cassiano Monteiro

+1!

#2 - 2012-04-25 19:15 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Wont fix

This is out the scope of the Redmine core to handle log rotation but the ruby's standard logger that Rails uses accepts some options that you can use.

Have a look at the comments in config/environments/production.log. And here are a few pointers for more information:

The Rails logger: Howhttp://guides.rubyonrails.org/debugging_rails_applications.html#the-logger

Ruby's standard logger: http://www.ruby-doc.org/stdlib-1.9.3/libdoc/logger/rdoc/Logger.html#method-c-new

#3 - 2012-04-25 19:16 - Jean-Philippe Lang

BTW, I personnaly use logrotate for that.
